{
  // "telemetry.enableTelemetry": false,
  // "telemetry.enableCrashReporter": false,
  "telemetry.telemetryLevel": "off",
  "update.mode": "start",
  // "window.menuBarVisibility": "toggle",
  "workbench.statusBar.visible": true,
  "workbench.sideBar.location": "right",
  "workbench.startupEditor": "none",
  "workbench.settings.editor": "json",
  "workbench.settings.openDefaultSettings": true,
  "workbench.settings.openDefaultKeybindings": true,
  "workbench.editorAssociations": {
    "*.ipynb": "jupyter.notebook.ipynb"
  },
  "editor.fontFamily": "'mplus Nerd Font', 'Monoid Nerd Font Mono', 'InconsolataLGC Nerd Font Mono', 'Iosevka', 'Recursive Mono Casual Static', 'Cascadia Mono PL', 'Rec Mono Casual', 'Cascadia Code PL Semilight', 'Iosevka', 'Pragmata Pro', 'JetBrains Mono', 'Source Code Pro', 'Consolas NF', 'JetBrains Mono Light', 'UbuntuMono Nerd Font', 'Menlo', 'Trim Mono', 'Code New Roman', 'Operator Mono Book', 'IBM Plex Mono Medium'",
  "editor.fontSize": 20, //mplus Nerd Font
  // "editor.fontSize": 15.5,
  // "editor.fontSize": 17.5,
  "editor.lineHeight": 25, //mplus Nerd Font
  // "editor.tabSize": 4,
  // Controls the font weight. Accepts "normal" and "bold" keywords or numbers between 1 and 1000.
  // "editor.fontWeight": "450",
  // "editor.fontWeight": "500",
  "editor.lineNumbers": "relative",
  "editor.fontLigatures": false,
  "editor.autoClosingQuotes": "languageDefined",
  "editor.mouseWheelZoom": true,
  "editor.formatOnPaste": false,
  "editor.formatOnSave": true,
  "editor.formatOnSaveMode": "file",
  "files.autoSave": "onFocusChange",
  "editor.formatOnType": false,
  "editor.detectIndentation": true,
  "editor.renderWhitespace": "selection",
  "editor.tabSize": 4,
  "editor.cursorBlinking": "expand",
  "editor.wordWrap": "on",
  "editor.minimap.enabled": false,
  "editor.rulers": [
    {
      "column": 79,
      "color": "red"
    }
  ],
  "debug.console.fontFamily": "'mplus Nerd Font', 'Monoid Nerd Font Mono', 'InconsolataLGC Nerd Font Mono', 'Iosevka', 'Recursive Mono Casual Static', 'Cascadia Mono PL', 'Rec Mono Casual', 'Cascadia Code PL Semilight', 'JetBrains Mono Light', 'Source Code Pro', 'Consolas NF', 'JetBrains Mono', 'UbuntuMono Nerd Font', 'Menlo', 'Operator Mono Book', 'Code New Roman', 'Trim Mono', 'JetBrains Mono Light', 'IBM Plex Mono Medium'",
  "debug.console.fontSize": 20,
  // "debug.console.fontSize": 15.5,
  // "terminal.explorerKind": "external",
  "terminal.integrated.cursorStyle": "block",
  "terminal.external.linuxExec": "alacritty",
  "terminal.integrated.cursorBlinking": true,
  "terminal.integrated.defaultProfile.linux": "fish",
  "terminal.integrated.fontFamily": "'mplus Nerd Font', 'Monoid Nerd Font Mono', 'InconsolataLGC Nerd Font Mono', 'mplus Nerd Font', 'Iosevka', 'Recursive Mono Casual Static', 'Cascadia Mono PL', 'Rec Mono Casual', 'Cascadia Code PL Semilight', 'JetBrains Mono Light', 'Source Code Pro', 'Consolas NF', 'UbuntuMono Nerd Font', 'Menlo', 'Operator Mono Book', 'Code New Roman', 'Trim Mono', 'JetBrains Mono Light', 'Source Code Pro', 'IBM Plex Mono Medium'",
  "terminal.integrated.fontSize": 20,
  // "terminal.integrated.fontSize": 16,
  "code-runner.executorMap": {
    "python": "$pythonPath -u $fullFileName"
  },
  "code-runner.clearPreviousOutput": true,
  "code-runner.saveFileBeforeRun": true,
  "vim.easymotion": true,
  "vim.incsearch": true,
  "vim.useSystemClipboard": true,
  "vim.useCtrlKeys": true,
  "vim.hlsearch": true,
  "vim.insertModeKeyBindings": [
    {
      "before": [
        "j",
        "j"
      ],
      "after": [
        "<Esc>"
      ]
    }
  ],
  "vim.normalModeKeyBindings": [
    // {
    //   "before": [":"],
    //   "commands": ["workbench.action.showCommands"]
    // },
    {
      "before": [
        ";"
      ],
      "commands": [
        "workbench.action.quickOpen"
      ]
    }
  ],
  "vim.normalModeKeyBindingsNonRecursive": [
    {
      "before": [
        "<C-c>",
        "h"
      ],
      "commands": [
        ":nohlsearch"
      ]
    },
    {
      "before": [
        "<leader>",
        "/"
      ],
      "commands": [
        "editor.action.commentLine"
      ]
    },
    {
      "before": [
        "<ESC>",
        "<ESC>"
      ],
      "commands": [
        ":q"
      ]
    }
  ],
  // "vim.leader": "<space>",
  "vim.leader": ",",
  "vim.handleKeys": {
    "<C-a>": true,
    "<C-f>": true
    // "<C-c>": false
    // "<C-a>": false,
    // "<C-f>": false
  },
  "workbench.colorTheme": "Ayu Mirage Bordered",
  "workbench.iconTheme": "vscode-icons",
  "window.title": "${activeEditorShort}${separator}${rootName}${separator}${appName}",
  "files.exclude": {
    "**/.idea": true
  },
  "bracket-pair-colorizer-2.depreciation-notice": false,
  "window.menuBarVisibility": "toggle",
  "window.zoomLevel": 1,
  "terminal.explorerKind": "external",
  "terminal.integrated.fontWeightBold": "bold",
  "editor.multiCursorModifier": "ctrlCmd",
  "vsicons.dontShowNewVersionMessage": true,
  "Lua.format.enable": false,
}